package com.platform.service;

import java.util.List;

import com.platform.entities.EncodedInfoEntity;

/**
 * 行政区划/系统数据库业务逻辑处理接口
 * 
 * @author wuming
 * 
 */
public interface EncodeInfoService {

	/** 查询所有地区，系统
	 * @param tableName
	 * @return
	 */
	public List<EncodedInfoEntity> getAllEncodeInfo(String tableName);

	/** 通过code删除表中的实体（行政区划/系统）
	 * @param code
	 * @param tableName
	 * @return
	 */
	public int deleteEncodeByCode(String code, String tableName);

	/** 根据实体（行政区划/系统）的名称查询编码
	 * @param code
	 * @param name
	 * @return
	 */
	public String getEncodeNameByCode(String code, String name);
}
