/**
 * 文件名   :   IGfsService.java
 * 版权       :   <版权/公司名>
 * 描述       :   <描述>
 * @author  chen
 * 版本       :   <版本>
 * 修改时间：      2016年9月8日
 * 修改内容：      <修改内容>
 */
package com.platform.service;
import java.util.List;

import com.platform.entities.FolderNode;
import com.platform.entities.VolumeDataEntity;

/**
 * <一句话功能简述>
 * <功能详细描述>
 * @author    chen
 * @version   [版本号，2016年9月8日]
 * @see       [相关类/方法]
 * @since     [产品/模块版本]
 */

public interface IGfsService {

	/**
	 * <一句话功能简述> 查找path，的所有子目录
	 * <功能详细描述>
	 * @param path
	 * @return
	 * @throws Exception
	 * @see [类、类#方法、类#成员]
	 */
	public FolderNode getFolder(String path) throws Exception;
	
	/**
	 * <一句话功能简述> 复制path，的所有子目录
	 * <功能详细描述>
	 * @param srcPath
	 * @param dstPath
	 * @return
	 * @throws Exception
	 * @see [类、类#方法、类#成员]
	 */

//	public int copyFolder(List<String> srcFolders, String dstFolder, String name) throws Exception;
	
	/**
	 * <一句话功能简述> 获得volume下的 name \ allsize \ usedsize \ folderTree \ brick
	 * <功能详细描述>
	 * @return
	 * @throws Exception
	 * @see [类、类#方法、类#成员]
	 */
	public List<VolumeDataEntity> getAllVolumes() throws Exception;
	
	/**
	 * <一句话功能简述> 根据volume名称获取 volume
	 * <功能详细描述>
	 * @return
	 * @throws Exception
	 * @see [类、类#方法、类#成员]
	 */
	public VolumeDataEntity getOneVolume(String volumeName) throws Exception;
	
	/** 移动数据
	 * @param volumeName
	 * @param srcPath
	 * @param dstPath
	 * @return
	 * @throws Exception
	 */
//	public int moveData(String volumeName, String srcPath, String dstPath) throws Exception;
	
	/** 删除数据
	 * @param volumeName
	 * @param srcPath
	 * @return
	 * @throws Exception
	 */
	public int deleteData(String volumeName, String srcPath) throws Exception;

}
