package com.platform.utils;

import java.util.HashSet;
import java.util.Set;

/** 保存暂时不能删除的数据的id
 * @author chen
 *
 */
public class CacheSetCantDelete {
	
	/**
	 * 正则抽取标准表的 数据的id
	 */
	private static Set<String> standardDataIdSet = new HashSet<String>();
	/**
	 * 正则汇总的id
	 */
	private static Set<String> extractDataIdSet = new HashSet<String>();
	
	/** 保存数据id
	 * @param dataId
	 * @return
	 */
	public static boolean addStandardId(String dataId) {
		return standardDataIdSet.add(dataId);
	}
	
	/** 去掉保存的数据id
	 * @param dataId
	 * @return
	 */
	public static boolean removeStandardId(String dataId) {
		return standardDataIdSet.remove(dataId);
	}
	
	/** 保存数据id
	 * @param dataId
	 * @return
	 */
	public static boolean addExtractId(String dataId) {
		return extractDataIdSet.add(dataId);
	}
	
	/** 去掉保存的数据id
	 * @param dataId
	 * @return
	 */
	public static boolean removeExtractId(String dataId) {
		return extractDataIdSet.remove(dataId);
	}
	
	public static boolean containsId(String dataId) {
		if(standardDataIdSet.contains(dataId))
			return true;
		else {
			return extractDataIdSet.contains(dataId);
		}
	}

}
